diff --git a/Modules/Segmentation/Watersheds/include/itkWatershedRelabeler.hxx b/Modules/Segmentation/Watersheds/include/itkWatershedRelabeler.hxx
index 36acb864a9..da988c053b 100644
--- a/Modules/Segmentation/Watersheds/include/itkWatershedRelabeler.hxx
+++ b/Modules/Segmentation/Watersheds/include/itkWatershedRelabeler.hxx
@@ -25,161 +25,161 @@ namespace itk
 {
 namespace watershed
 {
-template< typename TScalar, unsigned int TImageDimension >
-Relabeler< TScalar, TImageDimension >::Relabeler():m_FloodLevel(0.0)
+template <typename TScalar, unsigned int TImageDimension>
+Relabeler<TScalar, TImageDimension>::Relabeler()
 {
-  typename ImageType::Pointer img =
-    static_cast< ImageType * >( this->MakeOutput(0).GetPointer() );
+  typename ImageType::Pointer img = static_cast<ImageType *>(this->MakeOutput(0).GetPointer());
   this->SetNumberOfRequiredOutputs(1);
-  this->ProcessObject::SetNthOutput( 0, img.GetPointer() );
+  this->ProcessObject::SetNthOutput(0, img.GetPointer());
 }
 
-template< typename TScalar, unsigned int TImageDimension >
-typename Relabeler< TScalar, TImageDimension >::DataObjectPointer
-Relabeler< TScalar, TImageDimension >
-::MakeOutput( DataObjectPointerArraySizeType itkNotUsed(idx) )
+template <typename TScalar, unsigned int TImageDimension>
+typename Relabeler<TScalar, TImageDimension>::DataObjectPointer
+Relabeler<TScalar, TImageDimension>::MakeOutput(DataObjectPointerArraySizeType itkNotUsed(idx))
 {
   return ImageType::New().GetPointer();
 }
 
-template< typename TScalar, unsigned int TImageDimension >
-void Relabeler< TScalar, TImageDimension >
-::GenerateData()
+template <typename TScalar, unsigned int TImageDimension>
+void
+Relabeler<TScalar, TImageDimension>::GenerateData()
 {
   this->UpdateProgress(0.0);
-  typename ImageType::Pointer input  = this->GetInputImage();
-  typename ImageType::Pointer output  = this->GetOutputImage();
+  typename ImageType::Pointer input = this->GetInputImage();
+  typename ImageType::Pointer output = this->GetOutputImage();
 
-  typename SegmentTreeType::Pointer tree = this->GetInputSegmentTree();
+  typename SegmentTreeType::Pointer  tree = this->GetInputSegmentTree();
   typename SegmentTreeType::Iterator it;
-  EquivalencyTable::Pointer eqT = EquivalencyTable::New();
+  EquivalencyTable::Pointer          eqT = EquivalencyTable::New();
 
-  output->SetBufferedRegion( output->GetRequestedRegion() );
+  output->SetBufferedRegion(output->GetRequestedRegion());
   output->Allocate();
   //
   // Copy input to output
   //
-  ImageRegionIterator< ImageType > it_a( input, output->GetRequestedRegion() );
-  ImageRegionIterator< ImageType > it_b( output, output->GetRequestedRegion() );
+  ImageRegionIterator<ImageType> it_a(input, output->GetRequestedRegion());
+  ImageRegionIterator<ImageType> it_b(output, output->GetRequestedRegion());
   it_a.GoToBegin();
   it_b.GoToBegin();
-  while ( !it_a.IsAtEnd() )
-    {
-    it_b.Set( it_a.Get() );
+  while (!it_a.IsAtEnd())
+  {
+    it_b.Set(it_a.Get());
     ++it_a;
     ++it_b;
-    }
+  }
 
   this->UpdateProgress(0.1);
   //
   // Extract the merges up the requested level
   //
-  if ( tree->Empty() == true )
-    {
+  if (tree->Empty() == true)
+  {
     // itkWarningMacro("Empty input.  No relabeling was done.");
     return;
-    }
+  }
   ScalarType max = tree->Back().saliency;
-  ScalarType mergeLimit = static_cast< ScalarType >( m_FloodLevel * max );
+  auto       mergeLimit = static_cast<ScalarType>(m_FloodLevel * max);
 
   this->UpdateProgress(0.5);
 
   it = tree->Begin();
-  while ( it != tree->End() && ( *it ).saliency <= mergeLimit )
-    {
-    eqT->Add( ( *it ).from, ( *it ).to );
+  while (it != tree->End() && (*it).saliency <= mergeLimit)
+  {
+    eqT->Add((*it).from, (*it).to);
     it++;
-    }
+  }
 
   SegmenterType::RelabelImage(output, output->GetRequestedRegion(), eqT);
   this->UpdateProgress(1.0);
 }
 
-template< typename TScalar, unsigned int VImageDimension >
-void Relabeler< TScalar, VImageDimension >
-::GenerateInputRequestedRegion()
+template <typename TScalar, unsigned int VImageDimension>
+void
+Relabeler<TScalar, VImageDimension>::GenerateInputRequestedRegion()
 {
   // call the superclass' implementation of this method
   Superclass::GenerateInputRequestedRegion();
 
   // get pointers to the input and output
-  typename ImageType::Pointer inputPtr  = this->GetInputImage();
+  typename ImageType::Pointer inputPtr = this->GetInputImage();
   typename ImageType::Pointer outputPtr = this->GetOutputImage();
 
-  if ( !inputPtr || !outputPtr )
-    {
+  if (!inputPtr || !outputPtr)
+  {
     return;
-    }
+  }
 
   //
   // FOR NOW WE'LL JUST SET THE INPUT REGION TO THE OUTPUT REGION
   //
-  inputPtr->SetRequestedRegion( outputPtr->GetRequestedRegion() );
+  inputPtr->SetRequestedRegion(outputPtr->GetRequestedRegion());
 }
 
-template< typename TScalar, unsigned int TImageDimension >
-void Relabeler< TScalar, TImageDimension >
-::GenerateOutputRequestedRegion(DataObject *output)
+template <typename TScalar, unsigned int TImageDimension>
+void
+Relabeler<TScalar, TImageDimension>::GenerateOutputRequestedRegion(DataObject * output)
 {
   // Only the Image output need to be propagated through.
   // No choice but to use RTTI here.
   // All Image outputs set to the same RequestedRegion  other
   // outputs ignored.
-  ImageBase< ImageDimension > *imgData;
-  ImageBase< ImageDimension > *op;
-  imgData = dynamic_cast< ImageBase< ImageDimension > * >( output );
-
-  if ( imgData )
+  ImageBase<ImageDimension> * imgData;
+  ImageBase<ImageDimension> * op;
+  imgData = dynamic_cast<ImageBase<ImageDimension> *>(output);
+
+  if (imgData)
+  {
+    std::vector<ProcessObject::DataObjectPointer>::size_type idx;
+    for (idx = 0; idx < this->GetNumberOfIndexedOutputs(); ++idx)
     {
-    std::vector< ProcessObject::DataObjectPointer >::size_type idx;
-    for ( idx = 0; idx < this->GetNumberOfIndexedOutputs(); ++idx )
+      if (this->GetOutput(idx) && this->GetOutput(idx) != output)
       {
-      if ( this->GetOutput(idx) && this->GetOutput(idx) != output )
+        op = dynamic_cast<ImageBase<ImageDimension> *>(this->GetOutput(idx));
+        if (op)
         {
-        op = dynamic_cast< ImageBase< ImageDimension > * >( this->GetOutput(idx) );
-        if ( op ) { this->GetOutput(idx)->SetRequestedRegion(output); }
+          this->GetOutput(idx)->SetRequestedRegion(output);
         }
       }
     }
+  }
 }
 
-template< typename TScalar, unsigned int TImageDimension >
-void Relabeler< TScalar, TImageDimension >
-::GraftOutput(ImageType *graft)
+template <typename TScalar, unsigned int TImageDimension>
+void
+Relabeler<TScalar, TImageDimension>::GraftOutput(ImageType * graft)
 {
   this->GraftNthOutput(0, graft);
 }
 
-template< typename TScalar, unsigned int TImageDimension >
-void Relabeler< TScalar, TImageDimension >
-::GraftNthOutput(unsigned int idx, ImageType *graft)
+template <typename TScalar, unsigned int TImageDimension>
+void
+Relabeler<TScalar, TImageDimension>::GraftNthOutput(unsigned int idx, ImageType * graft)
 {
-  typedef typename ImageType::Pointer OutputImagePointer;
+  using OutputImagePointer = typename ImageType::Pointer;
 
-  if ( idx < this->GetNumberOfIndexedOutputs() )
-    {
+  if (idx < this->GetNumberOfIndexedOutputs())
+  {
     OutputImagePointer output = this->GetOutputImage();
 
-    if ( output && graft )
-      {
+    if (output && graft)
+    {
       // grab a handle to the bulk data of the specified data object
-      output->SetPixelContainer( graft->GetPixelContainer() );
+      output->SetPixelContainer(graft->GetPixelContainer());
 
       // copy the region ivars of the specified data object
-      output->SetRequestedRegion( graft->GetRequestedRegion() );
-      output->SetLargestPossibleRegion( graft->GetLargestPossibleRegion() );
-      output->SetBufferedRegion( graft->GetBufferedRegion() );
+      output->SetRequestedRegion(graft->GetRequestedRegion());
+      output->SetLargestPossibleRegion(graft->GetLargestPossibleRegion());
+      output->SetBufferedRegion(graft->GetBufferedRegion());
 
       // copy the meta-information
       output->CopyInformation(graft);
-      }
     }
+  }
 }
 
-template< typename TScalar, unsigned int TImageDimension >
+template <typename TScalar, unsigned int TImageDimension>
 void
-Relabeler< TScalar, TImageDimension >
-::PrintSelf(std::ostream & os, Indent indent) const
+Relabeler<TScalar, TImageDimension>::PrintSelf(std::ostream & os, Indent indent) const
 {
   Superclass::PrintSelf(os, indent);
   os << indent << "FloodLevel: " << m_FloodLevel << std::endl;
diff --git a/Modules/Segmentation/Watersheds/include/itkWatershedSegmentTable.h b/Modules/Segmentation/Watersheds/include/itkWatershedSegmentTable.h
index de24dd6a22..ae4a46573c 100644
--- a/Modules/Segmentation/Watersheds/include/itkWatershedSegmentTable.h
+++ b/Modules/Segmentation/Watersheds/include/itkWatershedSegmentTable.h
@@ -43,183 +43,248 @@ namespace watershed
  * \sa itk::WatershedImageFilter
  * \ingroup ITKWatersheds
  */
-template< typename TScalar >
-class ITK_TEMPLATE_EXPORT SegmentTable:public DataObject
+template <typename TScalar>
+class ITK_TEMPLATE_EXPORT SegmentTable : public DataObject
 {
 public:
   /** Define smart pointers for this object */
-  typedef SegmentTable               Self;
-  typedef DataObject                 Superclass;
-  typedef SmartPointer< Self >       Pointer;
-  typedef SmartPointer< const Self > ConstPointer;
-  typedef TScalar                    ScalarType;
+  using Self = SegmentTable;
+  using Superclass = DataObject;
+  using Pointer = SmartPointer<Self>;
+  using ConstPointer = SmartPointer<const Self>;
+  using ScalarType = TScalar;
 
   itkNewMacro(Self);
   itkTypeMacro(WatershedSegmentTable, DataObject);
 
   /** The value type for lists of adjacencies contained in each table
       entry */
-  struct edge_pair_t {
-    edge_pair_t() {}
-    edge_pair_t(IdentifierType l, ScalarType s):label(l), height(s) {}
+  struct edge_pair_t
+  {
+    edge_pair_t() = default;
+    edge_pair_t(IdentifierType l, ScalarType s)
+      : label(l)
+      , height(s)
+    {}
     IdentifierType label;
-    ScalarType height;
+    ScalarType     height;
 
     /** Necessary operator for sorting the adjacency lists */
-    bool operator<(const edge_pair_t & o) const
+    bool
+    operator<(const edge_pair_t & o) const
     {
-      if ( this->height < o.height )
-        {
+      if (this->height < o.height)
+      {
         return true;
-        }
+      }
       else
-        {
+      {
         return false;
-        }
+      }
     }
   };
 
   /** Structure for storing lists of adjacencies (edges) and their
       saliencies. */
-  typedef std::list< edge_pair_t > edge_list_t;
+  using edge_list_t = std::list<edge_pair_t>;
 
   /** Structure holding information about each segment in an image. */
-  struct segment_t {
-    ScalarType min;
+  struct segment_t
+  {
+    ScalarType  min;
     edge_list_t edge_list;
   };
 
   /** Define the container type for the table */
-  typedef itksys::hash_map< IdentifierType, segment_t,
-    itksys::hash< IdentifierType > >           HashMapType;
-  typedef typename HashMapType::iterator       Iterator;
-  typedef typename HashMapType::const_iterator ConstIterator;
-  typedef typename HashMapType::value_type     ValueType;
-  typedef typename HashMapType::data_type      DataType;
+  using HashMapType = std::unordered_map<IdentifierType, segment_t>;
+  using Iterator = typename HashMapType::iterator;
+  using ConstIterator = typename HashMapType::const_iterator;
+  using ValueType = typename HashMapType::value_type;
+  using DataType = typename HashMapType::mapped_type;
 
   /** Inserts a segment into the table  */
-  bool Add(IdentifierType a, const segment_t & t);
+  bool
+  Add(IdentifierType a, const segment_t & t);
 
   /** Iterates through the table and removes edges
    * in every edge list whose saliencies are above the
    * specified maximum.  Requires that the edge lists
    * have been sorted prior to calling this method.   */
-  void PruneEdgeLists(ScalarType maximum_saliency);
+  void
+  PruneEdgeLists(ScalarType maximum_saliency);
 
   /** Lookup a segment in the table.  Returns a pointer to the
    * entry.  On failure, returns a null pointer.   */
-  segment_t * Lookup(const IdentifierType a)
+  segment_t *
+  Lookup(const IdentifierType a)
   {
     Iterator result = m_HashMap.find(a);
 
-    if ( result == m_HashMap.end() ) { return ITK_NULLPTR; }
-    else { return &( ( *result ).second ); }
+    if (result == m_HashMap.end())
+    {
+      return nullptr;
+    }
+    else
+    {
+      return &((*result).second);
+    }
   }
 
   /** Lookup a segment in the table.  Returns a const pointer
    * to the entry.  On failure, returns a null pointer.   */
-  const segment_t * Lookup(const IdentifierType a) const
+  const segment_t *
+  Lookup(const IdentifierType a) const
   {
     ConstIterator result = m_HashMap.find(a);
 
-    if ( result == m_HashMap.end() ) { return 0; }
-    else { return &( ( *result ).second ); }
+    if (result == m_HashMap.end())
+    {
+      return 0;
+    }
+    else
+    {
+      return &((*result).second);
+    }
   }
 
   /** Returns TRUE if the entry key is found in the table.  FALSE if the key is
    * not found in the table.   */
-  bool IsEntry(const IdentifierType a) const
+  bool
+  IsEntry(const IdentifierType a) const
   {
-    if ( m_HashMap.find(a) == m_HashMap.end() ) { return false; }
-    else { return true; }
+    if (m_HashMap.find(a) == m_HashMap.end())
+    {
+      return false;
+    }
+    else
+    {
+      return true;
+    }
   }
 
   /** Deletes an entry from the table.   */
-  void Erase(const IdentifierType a)
-  {  m_HashMap.erase(a); }
+  void
+  Erase(const IdentifierType a)
+  {
+    m_HashMap.erase(a);
+  }
 
   /** Removes all the entries in the table.   */
-  void Clear()
-  {      m_HashMap.clear();    }
+  void
+  Clear()
+  {
+    m_HashMap.clear();
+  }
 
   /** Returns true if the table is empty and false if the table is not empty.
    */
-  bool Empty() const
-  {      return m_HashMap.empty();    }
+  bool
+  Empty() const
+  {
+    return m_HashMap.empty();
+  }
 
   /** Sorts all the entries in the edge lists from least to greatest saliency.
    */
-  void SortEdgeLists();
+  void
+  SortEdgeLists();
 
   /** Returns the number of entries in the table.   */
-  typename HashMapType::size_type  Size() const
-  {      return m_HashMap.size();     }
+  typename HashMapType::size_type
+  Size() const
+  {
+    return m_HashMap.size();
+  }
 
   /** Merges two entries of the table.  from->to  */
   //  void Merge(const IdentifierType from, const IdentifierType to);
 
   /** Returns an iterator pointing to the first element in the (unordered)
       table. */
-  Iterator Begin() { return m_HashMap.begin(); }
+  Iterator
+  Begin()
+  {
+    return m_HashMap.begin();
+  }
 
   /** Returns an iterator pointing to one element past the last element in the
    * (unordered table).   */
-  Iterator End()   { return m_HashMap.end();   }
+  Iterator
+  End()
+  {
+    return m_HashMap.end();
+  }
 
   /** Returns a const iterator pointing to the first element in the (unordered)
    * table.  */
-  ConstIterator Begin() const { return m_HashMap.begin(); }
+  ConstIterator
+  Begin() const
+  {
+    return m_HashMap.begin();
+  }
 
   /** Returns a const iterator pointing to one element past the last element in
    * the  (unordered table).   */
-  ConstIterator End()   const { return m_HashMap.end();   }
+  ConstIterator
+  End() const
+  {
+    return m_HashMap.end();
+  }
 
   /** Convenience methods for debugging   */
-  unsigned int GetSegmentMemorySize() const
+  unsigned int
+  GetSegmentMemorySize() const
   {
-    return sizeof( segment_t );
+    return sizeof(segment_t);
   }
 
   //  void PrintHashTable() const;
 
   /** Set/Get the maximum depth of image on which this segment table is based.
    * (Should set really be calling modified? jc 11/16/01) */
-  void SetMaximumDepth(ScalarType s)
+  void
+  SetMaximumDepth(ScalarType s)
   {
     m_MaximumDepth = s;
     this->Modified();
   }
 
-  ScalarType GetMaximumDepth() const
-  { return m_MaximumDepth; }
+  ScalarType
+  GetMaximumDepth() const
+  {
+    return m_MaximumDepth;
+  }
 
   /** Copies the contents of another segment table into this segment table.
       This is really operator= in disguise, although superclass information is
       not copied. */
-  void Copy(const Self & o)
+  void
+  Copy(const Self & o)
   {
     m_HashMap = o.m_HashMap;
     m_MaximumDepth = o.m_MaximumDepth;
   }
 
 protected:
-  SegmentTable() :
-    m_MaximumDepth(0)
+  SegmentTable()
+    : m_MaximumDepth(0)
   {}
-  ~SegmentTable() ITK_OVERRIDE {}
+  ~SegmentTable() override = default;
 
   HashMapType m_HashMap;
 
   ScalarType m_MaximumDepth;
 
 private:
-  void operator=(const Self &) {}
+  void
+  operator=(const Self &)
+  {}
 };
 } // end namespace watershed
 } // end namespace itk
 
 #ifndef ITK_MANUAL_INSTANTIATION
-#include "itkWatershedSegmentTable.hxx"
+#  include "itkWatershedSegmentTable.hxx"
 #endif
 
 #endif
diff --git a/Modules/Segmentation/Watersheds/include/itkWatershedSegmentTable.hxx b/Modules/Segmentation/Watersheds/include/itkWatershedSegmentTable.hxx
index a9eed11e49..c5bcff0cbb 100644
--- a/Modules/Segmentation/Watersheds/include/itkWatershedSegmentTable.hxx
+++ b/Modules/Segmentation/Watersheds/include/itkWatershedSegmentTable.hxx
@@ -24,49 +24,53 @@ namespace itk
 {
 namespace watershed
 {
-template< typename TScalar >
-void SegmentTable< TScalar >
-::PruneEdgeLists(ScalarType maximum_saliency)
+template <typename TScalar>
+void
+SegmentTable<TScalar>::PruneEdgeLists(ScalarType maximum_saliency)
 {
   Iterator it;
 
   typename edge_list_t::iterator e;
-  for ( it = this->Begin(); it != this->End(); ++it )
+  for (it = this->Begin(); it != this->End(); ++it)
+  {
+    for (e = (*it).second.edge_list.begin(); e != (*it).second.edge_list.end(); e++)
     {
-    for ( e = ( *it ).second.edge_list.begin();
-          e != ( *it ).second.edge_list.end();
-          e++ )
-      {
-      if ( ( e->height - ( *it ).second.min ) > maximum_saliency )
-        {   // dump the rest of the list, assumes list is sorted
+      if ((e->height - (*it).second.min) > maximum_saliency)
+      { // dump the rest of the list, assumes list is sorted
         e++;
-        ( *it ).second.edge_list.erase( e, ( *it ).second.edge_list.end() );
-        break;  // through with this segment
-        }
+        (*it).second.edge_list.erase(e, (*it).second.edge_list.end());
+        break; // through with this segment
       }
     }
+  }
 }
 
-template< typename TScalar >
-void SegmentTable< TScalar >
-::SortEdgeLists()
+template <typename TScalar>
+void
+SegmentTable<TScalar>::SortEdgeLists()
 {
   Iterator it;
 
-  for ( it = this->Begin(); it != this->End(); ++it )
-    {
-    ( *it ).second.edge_list.sort();
-    }
+  for (it = this->Begin(); it != this->End(); ++it)
+  {
+    (*it).second.edge_list.sort();
+  }
 }
 
-template< typename TScalar >
-bool SegmentTable< TScalar >
-::Add(IdentifierType a, const segment_t & t)
+template <typename TScalar>
+bool
+SegmentTable<TScalar>::Add(IdentifierType a, const segment_t & t)
 {
-  std::pair< Iterator, bool > result;
-  result = m_HashMap.insert( ValueType(a, t) );
-  if ( result.second == false ) { return false; }
-  else { return true; }
+  std::pair<Iterator, bool> result;
+  result = m_HashMap.insert(ValueType(a, t));
+  if (result.second == false)
+  {
+    return false;
+  }
+  else
+  {
+    return true;
+  }
 }
 } // end namespace watershed
 } // end namespace itk
diff --git a/Modules/Segmentation/Watersheds/include/itkWatershedSegmentTree.h b/Modules/Segmentation/Watersheds/include/itkWatershedSegmentTree.h
index 83cb3fbbf4..1c0e8cadc4 100644
--- a/Modules/Segmentation/Watersheds/include/itkWatershedSegmentTree.h
+++ b/Modules/Segmentation/Watersheds/include/itkWatershedSegmentTree.h
@@ -43,128 +43,180 @@ namespace watershed
  *
  * \ingroup ITKWatersheds
  */
-template< typename TScalar >
-class ITK_TEMPLATE_EXPORT SegmentTree:public DataObject
+template <typename TScalar>
+class ITK_TEMPLATE_EXPORT SegmentTree : public DataObject
 {
 public:
   /** Define itk Smart Pointers for this object */
-  typedef SegmentTree                Self;
-  typedef DataObject                 Superclass;
-  typedef SmartPointer< Self >       Pointer;
-  typedef SmartPointer< const Self > ConstPointer;
+  using Self = SegmentTree;
+  using Superclass = DataObject;
+  using Pointer = SmartPointer<Self>;
+  using ConstPointer = SmartPointer<const Self>;
   itkNewMacro(Self);
   itkTypeMacro(WatershedSegmentTree, DataObject);
-  typedef TScalar ScalarType;
+  using ScalarType = TScalar;
 
   /** Elements of the list (nodes of the tree).  A record of a merge
    * between two segments (IdentifierType labels) at a particular
    * saliency.   */
-  struct merge_t {
+  struct merge_t
+  {
     IdentifierType from;
     IdentifierType to;
-    ScalarType saliency;
+    ScalarType     saliency;
   };
 
   /** Define the container type used in this list data structure */
-  typedef std::deque< merge_t >              DequeType;
-  typedef typename DequeType::iterator       Iterator;
-  typedef typename DequeType::const_iterator ConstIterator;
-  typedef typename DequeType::value_type     ValueType;
+  using DequeType = std::deque<merge_t>;
+  using Iterator = typename DequeType::iterator;
+  using ConstIterator = typename DequeType::const_iterator;
+  using ValueType = typename DequeType::value_type;
 
   /** Boolean comparison functor for use in sorting functions.  */
-  struct merge_comp:public std:: binary_function< bool, const merge_t &,
-                                                  const merge_t & > {
-    merge_comp() {}
-    bool operator()(const merge_t & a, const merge_t & b)
+  struct merge_comp : public std::binary_function<bool, const merge_t &, const merge_t &>
+  {
+    merge_comp() = default;
+    bool
+    operator()(const merge_t & a, const merge_t & b)
     {
       return b.saliency < a.saliency;
     }
   };
 
   /** Boolean comparison functor for use in sorting functions.   */
-  struct sort_comp:public std:: binary_function< bool, const merge_t &,
-                                                 const merge_t & > {
-    bool operator()(const merge_t & a, const merge_t & b)
+  struct sort_comp : public std::binary_function<bool, const merge_t &, const merge_t &>
+  {
+    bool
+    operator()(const merge_t & a, const merge_t & b)
     {
       return a.saliency < b.Saliency;
     }
   };
 
   /** Returns the size of the list.   */
-  typename DequeType::size_type Size() const
-  { return m_Deque.size(); }
+  typename DequeType::size_type
+  Size() const
+  {
+    return m_Deque.size();
+  }
 
   /** Returns TRUE if the SegmentTree is empty, FALSE if the SegmentTree is not
    * empty.    */
-  bool Empty() const
-  { return m_Deque.empty();    }
+  bool
+  Empty() const
+  {
+    return m_Deque.empty();
+  }
 
   /** Returns a const reference to the front of the list (node with the least
    * saliency value).    */
-  const merge_t & Front() const
-  { return m_Deque.front(); }
+  const merge_t &
+  Front() const
+  {
+    return m_Deque.front();
+  }
 
   /** Returns a const reference to the back of the list (node with the greatest
    * saliency value).   */
-  const merge_t & Back() const
-  { return m_Deque.back(); }
+  const merge_t &
+  Back() const
+  {
+    return m_Deque.back();
+  }
 
   /** Returns a reference to the front of the list   */
-  merge_t & Front()
-  { return m_Deque.front(); }
+  merge_t &
+  Front()
+  {
+    return m_Deque.front();
+  }
 
   /** Returns a reference to the back of the list   */
-  merge_t & Back()
-  { return m_Deque.back(); }
+  merge_t &
+  Back()
+  {
+    return m_Deque.back();
+  }
 
   /** Inserts a node at the front of the list.   */
-  void PushFront(const ValueType & t)
-  { m_Deque.push_front(t); }
+  void
+  PushFront(const ValueType & t)
+  {
+    m_Deque.push_front(t);
+  }
 
   /** Inserts a node at the back of the list   */
-  void PushBack(const ValueType & t)
-  { m_Deque.push_back(t); }
+  void
+  PushBack(const ValueType & t)
+  {
+    m_Deque.push_back(t);
+  }
 
   /** Erases the node at the front of the list.   */
-  void PopFront()
-  { m_Deque.pop_front(); }
+  void
+  PopFront()
+  {
+    m_Deque.pop_front();
+  }
 
   /** Erases the node at the back of the list.   */
-  void PopBack()
-  { m_Deque.pop_back(); }
+  void
+  PopBack()
+  {
+    m_Deque.pop_back();
+  }
 
   /** Returns an iterator pointing to the first element in the list.   */
-  Iterator Begin()
-  { return m_Deque.begin(); }
+  Iterator
+  Begin()
+  {
+    return m_Deque.begin();
+  }
 
   /** Returns a const iterator pointing to the first element in the list. */
-  ConstIterator Begin() const
-  { return m_Deque.begin(); }
+  ConstIterator
+  Begin() const
+  {
+    return m_Deque.begin();
+  }
 
   /** Returns an iterator pointing one element past the last element in the
    * list.    */
-  Iterator End()
-  { return m_Deque.end(); }
+  Iterator
+  End()
+  {
+    return m_Deque.end();
+  }
 
   /** Returns a const iterator pointing one element past the last element in the
    * list.    */
-  ConstIterator End() const
-  { return m_Deque.end(); }
+  ConstIterator
+  End() const
+  {
+    return m_Deque.end();
+  }
 
   /** Clears the Deque completely */
-  void Clear()
-  { m_Deque.clear(); }
+  void
+  Clear()
+  {
+    m_Deque.clear();
+  }
 
   /** Standard DataObject routine to initialize.  Returns the segment
    * tree to a default state, deallocating memory. */
-  void Initialize() ITK_OVERRIDE;
+  void
+  Initialize() override;
 
 protected:
-  SegmentTree() {}
-  ~SegmentTree() ITK_OVERRIDE {}
+  SegmentTree() = default;
+  ~SegmentTree() override = default;
   SegmentTree(const Self &) {}
-  void operator=(const Self &) {}
-  void PrintSelf(std::ostream & os, Indent indent) const ITK_OVERRIDE;
+  void
+  operator=(const Self &)
+  {}
+  void
+  PrintSelf(std::ostream & os, Indent indent) const override;
 
   DequeType m_Deque;
 };
@@ -172,7 +224,7 @@ protected:
 } // end namespace itk
 
 #ifndef ITK_MANUAL_INSTANTIATION
-#include "itkWatershedSegmentTree.hxx"
+#  include "itkWatershedSegmentTree.hxx"
 #endif
 
 #endif
diff --git a/Modules/Segmentation/Watersheds/include/itkWatershedSegmentTree.hxx b/Modules/Segmentation/Watersheds/include/itkWatershedSegmentTree.hxx
index bec5a437e2..966b127929 100644
--- a/Modules/Segmentation/Watersheds/include/itkWatershedSegmentTree.hxx
+++ b/Modules/Segmentation/Watersheds/include/itkWatershedSegmentTree.hxx
@@ -26,10 +26,9 @@ namespace watershed
 {
 
 
-template< typename TScalar >
+template <typename TScalar>
 void
-SegmentTree< TScalar >
-::Initialize()
+SegmentTree<TScalar>::Initialize()
 {
   //
   // We don't modify ourselves because the "ReleaseData" methods depend upon
@@ -43,10 +42,9 @@ SegmentTree< TScalar >
   this->Clear();
 }
 
-template< typename TScalar >
+template <typename TScalar>
 void
-SegmentTree< TScalar >
-::PrintSelf(std::ostream & os, Indent indent) const
+SegmentTree<TScalar>::PrintSelf(std::ostream & os, Indent indent) const
 {
   Superclass::PrintSelf(os, indent);
 }
